<img src="https://github.com/shenyulu/easyclimate-sphinx_docs/blob/main/source/_static/easyclimate-logo.svg?raw=true" alt="easyclimate">

<h2 align="center">A line of code to analyze climate</h2>

<p align="center">
<a href="https://easyclimate.readthedocs.io/en/latest/"><strong>Documentation</strong> (latest)</a> •
<a href="https://easyclimate.readthedocs.io/en/main/"><strong>Documentation</strong> (main branch)</a> •
<a href="https://github.com/shenyulu/easyclimate/blob/main/CONTRIBUTING.md"><strong>Contributing</strong></a>
</p>

![PyPI - License](https://img.shields.io/pypi/l/easyclimate)
![PyPI - Version](https://img.shields.io/pypi/v/easyclimate)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/easyclimate)
![PyPI - Downloads](https://img.shields.io/pypi/dm/easyclimate)
[![codecov](https://codecov.io/gh/shenyulu/easyclimate/graph/badge.svg?token=CBG3IO5A5A)](https://codecov.io/gh/shenyulu/easyclimate)
[![Documentation Status](https://readthedocs.org/projects/easyclimate/badge/?version=latest)](https://easyclimate.readthedocs.io/en/latest/?badge=latest)
[![DOI](https://zenodo.org/badge/465206111.svg)](https://zenodo.org/doi/10.5281/zenodo.10279567)

## About

**Easy Climate** is a Python package, aiming to use a line of code to analyze climate.


We support Python >= 3.10.


## Project goals

* Eliminate lengthy code for data and plot handling.
* Use numpy and xarray syntax for optimal computational speed.
* Dask for scalable parallel processing support extends climate data processing to TBs or PBs.
* Open-source software for increased application flexibility.

## How to install?

If you use [pip](https://pypi.org/project/pip/), you can install `easyclimate` with:

```bash
pip install easyclimate
```

For more information about installation, please chech the documentation.

## Getting involved

👩🏾‍💻 **Contributing to project development:**
Please read our
[Contributing Guide](https://github.com/shenyulu/easyclimate/blob/main/CONTRIBUTING.md)
to see how you can help and give feedback.

🧑🏾‍🤝‍🧑🏼 **Code of conduct:**
This project is released with a
[Code of Conduct](https://github.com/shenyulu/easyclimate/blob/main/CODE_OF_CONDUCT.md).
By participating in this project you agree to abide by its terms.

> **Imposter syndrome disclaimer:**
> We want your help. **No, really.** There may be a little voice inside your
> head that is telling you that you're not ready, that you aren't skilled
> enough to contribute. We assure you that the little voice in your head is
> wrong. Most importantly, **there are many valuable ways to contribute besides
> writing code**.
>

## License

This is free software: you can redistribute it and/or modify it under the terms
of the **BSD 3-clause License**. A copy of this license is provided in
[`LICENSE.txt`](https://github.com/fatiando/verde/blob/main/LICENSE.txt).
